#!/bin/sh
#set -x

LANG=de_DE

VDRBASE=/opt/VDR
VDRDIR=$VDRBASE/VDR
VDRCONFIG=$VDRBASE/config
DVBBASE=$VDRBASE/DVB
DVBDIR="$DVBBASE/driver"
VDRPRG="$VDRDIR/vdr"
PLUGIN="$VDRDIR/PLUGINS/lib"
VDRPRG="$VDRDIR/vdr"
CDDB=/var/lib/cddb
VIDEODIR=/video0
KERNEL=`uname -r`
VERSION=`$VDRPRG --version|head -1|awk '{print $2}'|sed 's/(//'|sed 's/)//'`

echo -n "copy vdr $VERSION "
install -m 0750 $VDRPRG /usr/sbin/vdr && echo "ok" || echo "failed"
chown vdr.video /usr/sbin/vdr
echo "Copy drivers"
echo -n "ves1820.o "
install -m 0640 $DVBDIR/frontends/ves1820.o /lib/modules/$KERNEL/dvb/ves1820.o && echo "ok" || echo "failed"
echo -n "grundig_29504-491.o "
install -m 0640 $DVBDIR/frontends/grundig_29504-491.o /lib/modules/$KERNEL/dvb/grundig_29504-491.o && echo "ok" || echo "failed"
echo -n "grundig_29504-401.o "
install -m 0640 $DVBDIR/frontends/grundig_29504-401.o /lib/modules/$KERNEL/dvb/grundig_29504-401.o && echo "ok" || echo "failed"
echo -n "stv0299.o "
install -m 0640 $DVBDIR/frontends/stv0299.o /lib/modules/$KERNEL/dvb/stv0299.o && echo "ok" || echo "failed"
echo -n "alps_tdlb7.o "
install -m 0640 $DVBDIR/frontends/alps_tdlb7.o /lib/modules/$KERNEL/dvb/alps_tdlb7.o && echo "ok" || echo "failed"
echo -n "alps_tdmb7.o "
install -m 0640 $DVBDIR/frontends/alps_tdmb7.o /lib/modules/$KERNEL/dvb/alps_tdmb7.o && echo "ok" || echo "failed"
echo -n "alps_bsrv2.o "
install -m 0640 $DVBDIR/frontends/alps_bsrv2.o /lib/modules/$KERNEL/dvb/alps_bsrv2.o && echo "ok" || echo "failed"
echo -n "dvb-core.o "
install -m 0640 $DVBDIR/dvb-core.o /lib/modules/$KERNEL/dvb/dvb-core.o && echo "ok" || echo "failed"
echo -n "dvb-ttpci.o "
install -m 0640 $DVBDIR/av7110/dvb-ttpci.o /lib/modules/$KERNEL/dvb/dvb-ttpci.o && echo "ok" || echo "failed"
for i in Root Dpram
do
echo -n "$i "
install -m 0640 $DVBDIR/av7110/$i /usr/lib/dvb/$i && echo "ok" || echo "failed"
done
echo "Copy Plugins"
for i in prefermenu \
	bitstreamout \
	sky \
	clock \
	status \
	dvd \
	stream \
	games \
	streamdev \
	hello \
	teletext \
	image \
	tvtv \
	mp3 \
	vcd \
	mplayer \
	vdrc \
	osddemo \
	vdrmail \
	osdteletext \
	weather
do
echo -n "$i "
if [ -f $PLUGIN/libvdr-$i.so.$VERSION ]
then
    install -m 0750 $PLUGIN/libvdr-$i.so.$VERSION /usr/lib/vdr/libvdr-$i.so.$VERSION && echo "ok" || echo "failed"
    chown vdr.video /usr/lib/vdr/libvdr-$i.so.$VERSION
fi
done

echo "Replace SuSE init/sysconfig Files"
for i in dvb vdr
do
echo "$i "
cp init_$i /etc/init.d/$i  && echo "ok" || echo "failed"
cp sysconfig_$i /etc/sysconfig/$i  && echo "ok" || echo "failed"
done
cp init_runvdr /etc/vdr/runvdr
cp sysconfig_lirc /etc/sysconfig/lirc


# Config Files gehen nach /etc/vdr ( channels.conf,setup.conf, ... )
# Plugins config Files nach /etc/vdr/plugins

# Die Dateien /etc/sysconfig/vdr und /etc/sysconfig/dvb sind dann anzupassen
